id: sprectrum_tools_find_peaks_Marco
label: find_peaks_Marco
category: '[sprectrum_tools]'

templates:
  imports: import sprectrum_tools
  make: sprectrum_tools.find_peaks_Marco(${FFT_len}, ${bandwidth}, ${window_len}, ${value}, ${file_ouput})

#  Make one 'parameters' list entry for every parameter you want settable from the GUI.
#     Keys include:
#     * id (makes the value accessible as \$keyname, e.g. in the make entry)
#     * label (label shown in the GUI)
#     * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
parameters:
-   id: FFT_len
    label: FFT_len
    dtype: int
    default: '1024'
-   id: bandwidth
    label: bandwidth
    dtype: float
    default: 2e6
-   id: window_len
    label: window_len
    dtype: float
    default: 2e3
-   id: value
    label: value
    dtype: float
    default: '2.5'
-   id: file_ouput
    label: file_ouput
    dtype: string
    default: /home/jefferson/Documents/simulation/Result/peaks.csv

#  Make one 'inputs' list entry per input and one 'outputs' list entry per output.
#  Keys include:
#      * label (an identifier for the GUI)
#      * domain (optional - stream or message. Default is stream)
#      * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
#      * vlen (optional - data stream vector length. Default is 1)
#      * optional (optional - set to 1 for optional inputs. Default is 0)
inputs:
-   domain: stream
    dtype: float
    vlen: ${ FFT_len }

outputs:
-   domain: stream
    dtype: float


documentation: "Este bloque permite determinar la presencia de una se\xF1al sobre\
    \ un ancho de banda seg\xFAn sus picos, si el valor del primer pico dividido el\
    \ el valor del segundo pico m\xE1ximo superan cierto umbral se determina la presencia\
    \ de una se\xF1al de inter\xE9s (salida=1), la salida es 0 en caso contrario.\n\
    \nFFT_len: n\xFAmero de puntos del m\xE9todo de estimaci\xF3n espectral\nbandwidth:\
    \ ancho de banda de la se\xF1al de entrada\nwindow_len: tama\xF1o de cada subventana\
    \ sobre el ancho de banda\nvalue:  threshold primer_pico/segundo_pico determinar\
    \ 1 si el valor sobrepasa el threshold (value), 0 en otro caso.\nfile_ouput: ubicaci\xF3\
    n del archivo csv que almacena los resultados"

#  'file_format' specifies the version of the GRC yml format used in the file
#  and should usually not be changed.
file_format: 1
